Bug 444113 - Review Request: gnome-valgrind-session - Run an entire GNOME session under valgrind
Review Request: gnome-valgrind-session - Run an entire GNOME session under va...
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Rakesh Pandit
Fedora Extras Quality Assurance
: 216517 (view as bug list)
Depends On:
  Show dependency treegraph
Reported: 2008-04-24 23:22 EDT by Debarshi Ray
Modified: 2008-09-12 00:40 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2008-09-12 00:40:21 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
rpandit: fedora‑review+
tibbs: fedora‑cvs+

Attachments (Terms of Use)

  None (edit)
Description Debarshi Ray 2008-04-24 23:22:44 EDT
Spec URL: http://rishi.fedorapeople.org/gnome-valgrind-session.spec
SRPM URL: http://rishi.fedorapeople.org/gnome-valgrind-session-1.1-1.fc8.src.rpm


GNOME Valgrind Session adds new types of GNOME session to the login manager's
session menu. These let you instrument your entire session with Valgrind for
debugging purposes. The generated logs are collected and subjected to simple
postprocessing when you log out. The result is saved to a file in your home
Comment 1 Debarshi Ray 2008-04-24 23:24:07 EDT
*** Bug 216517 has been marked as a duplicate of this bug. ***
Comment 2 Rakesh Pandit 2008-08-12 01:16:23 EDT
Expect a review in few days.
Comment 3 Rakesh Pandit 2008-08-23 16:58:43 EDT

Looks sane to me.

rpmlint output: clean

Build successfully:

[x] Name 
[x] License -- Public Domain
[x] Spec file is in American Eng and legible
[x] Build successfully
[x] BuildRequires 
[x] Duplicate files - nil
[NA] locale
[x] permissions -- okay
[x]  source link correct
[x] packaging guidlines
[x] Buildroot correct
[x] owns every directory it creates
[x] file encoding - checked
[x] package has no dependency on files in %doc
[x] gui
[x] No dependencies outside FHS guidelines
[x] md5sum
Source from site: 4988af57dc895509ce01e2742883f47b
Source from srpm: 4988af57dc895509ce01e2742883f47b
[x] package owns all directories it created -- 1
[x] description & summary -- okay
[x] %install & %clean section have rm -rf $RPM_BUILD_ROOT

Optional suggestions:
a. optional: check .desktop file 
[rpmbuild@rocky gnome-valgrind-session-1.1]$ desktop-file-validate gnome-valgrind-errors.desktop
gnome-valgrind-errors.desktop: warning: key "Encoding" in group "Desktop Entry" is deprecated
gnome-valgrind-errors.desktop: error: value "XSession" for key "Type" in group "Desktop Entry" is not a registered type value ("Application", "Link" and "Directory")

[rpmbuild@rocky gnome-valgrind-session-1.1]$ desktop-file-validate gnome-valgrind-leaks.desktop 
gnome-valgrind-leaks.desktop: warning: key "Encoding" in group "Desktop Entry" is deprecated
gnome-valgrind-leaks.desktop: error: value "XSession" for key "Type" in group "Desktop Entry" is not a registered type value ("Application", "Link" and "Directory")

*You can ignore them*

Key NA = N/A, x = Check, ! = Problem, ? = Not evaluated
Comment 4 Rakesh Pandit 2008-09-06 04:30:01 EDT
you may like to request for cvs and import.
Comment 5 Debarshi Ray 2008-09-06 05:37:21 EDT
New Package CVS Request
Package Name: gnome-valgrind-session
Short Description: Run an entire GNOME session under valgrind
Owners: rishi
Branches: F-8 F-9
Comment 6 Rakesh Pandit 2008-09-10 02:53:23 EDT
corrected the flags.
Comment 7 Jason Tibbitts 2008-09-10 20:05:55 EDT
CVS done.
Comment 8 Debarshi Ray 2008-09-12 00:39:39 EDT
(In reply to comment #3)
> Optional suggestions:
> a. optional: check .desktop file 

Fixed it in CVS.
Comment 9 Debarshi Ray 2008-09-12 00:40:21 EDT
Tagged and built in Rawhide.

Note You need to log in before you can comment on or make changes to this bug.